Skip to main content
This page centralizes the request/query/path schemas for the main step routes. The canonical source is api-reference/openapi.yml.

create-step

Endpoint: POST /v1/step Schema: CreateStepRequestSchema Body: application/json

Schema (OpenAPI-style, abridged)

{
  "type": "object",
  "additionalProperties": false,
  "required": ["policyNames", "label"],
  "properties": {
    "label": "string",
    "description": "string",
    "policyNames": "string[]",
    "orderedPolicies": "string[]",
    "webhookUrls": "string",
    "legalContractId": "string",
    "stepIdsDependencies": "string[]",
    "stepIdsReprovalDependencies": "string[]",
    "parameters": {
      "type": "array",
      "items": {
        "type": "object",
        "additionalProperties": false,
        "required": ["id", "name", "label"],
        "properties": {
          "name": "string",
          "label": "string",
          "type": {
            "type": "string",
            "enum": [
              "ATTACHMENT",
              "IMAGE",
              "SIGNATURE",
              "CHECKBOX",
              "COMPUTED",
              "COMPUTED_NUMBER",
              "COMPUTED_TEXT",
              "CPF",
              "USER",
              "URL",
              "HTML",
              "CNPJ",
              "CPFCNPJ",
              "DATE",
              "DATETIME",
              "EMAIL",
              "CEP",
              "NUMBER",
              "PHONE",
              "RADIO",
              "SELECT",
              "TEXT",
              "TEXTAREA",
              "READ_FROM_OTHER_MEASUREMENT",
              "TABLE",
              "TOGGLE",
              "CURRENCY",
              "SECTION",
              "PDF_RENDERER",
              "LOCATION",
              "TIME",
              "ENTITY_UPDATE",
              "ENTITY",
              "API_CALL",
              "CERTIDOES",
              "PERCENTAGE",
              "ENTITY_READ",
              "CONTRACT_TEMPLATE",
              "GSHEET_OUTPUT"
            ]
          },
          "isUnique": "boolean",
          "isPermanent": "boolean",
          "isRequired": "boolean",
          "decimals": "number",
          "format": "float",
          "stepId": "string",
          "parameterId": "string",
          "computedFormula": "string[]",
          "optionItems": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": false,
              "required": ["value"],
              "properties": {
                "value": "string",
                "label": "string",
                "color": "string",
                "meta": "object",
                "persisted": "boolean"
              }
            }
          },
          "advancedOptions": {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "tooltip": "string",
              "description": "string",
              "placeholder": "string",
              "max": "number",
              "maxLength": "number",
              "min": "number",
              "minLength": "number",
              "decimals": "number",
              "format": "float",
              "sort": "number",
              "format": "float",
              "currency": "string",
              "enum": ["USD", "BRL", "NONE"],
              "locale": "string",
              "enum": ["pt-BR", "en-US"],
              "isHidden": "boolean",
              "hasMetadata": "boolean",
              "hiddenFrom": "string[]",
              "isMultiple": "boolean",
              "dateFormat": {
                "type": "string",
                "enum": [
                  "dd/MM/yyyy",
                  "MM/yyyy",
                  "MM/dd/yyyy",
                  "yyyy-MM-dd",
                  "yyyy-MM-dd HH:mm",
                  "dd/MM/yyyy HH:mm",
                  "yyyy-MM-dd HH:mm:ss"
                ]
              },
              "entityOperation": {
                "type": "array",
                "items": {
                  "type": "string",
                  "enum": [
                    "WRITE",
                    "EDIT",
                    "DELETE",
                    "SELECT",
                    "TRANSPOSED_WRITE",
                    "CSV_IMPORT",
                    "READ_ONLY",
                    "BATCH_DELETE",
                    "G_SHEET_SYNC",
                    "IMPORT_AND_SYNC",
                    "GSHEET_INTEGRATION_WITH_FILTER"
                  ]
                }
              }
            }
          }
        }
      }
    }
  }
}

update-step

Endpoint: PUT /v1/step/{id} Schema: UpdateStepRequestSchema Path params:
  • id: string (required)
Body: application/json

Schema (OpenAPI-style)

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "name: "string",
    "iconName: "string",
    "label: "string,
  }
}

delete-step

Endpoint: DELETE /v1/step/{id} Path params:
  • id: string (required)
Body: none